# Generated by go2rpm
%bcond_without check

# https://github.com/Shopify/sarama
%global goipath         github.com/Shopify/sarama
Version:                1.22.0

%gometa

%global common_description %{expand:
Sarama is an MIT-licensed Go client library for Apache Kafka version 0.8 (and later).}

%global golicenses      LICENSE
%global godocs          examples CHANGELOG.md README.md

Name:           %{goname}
Release:        1%{?dist}
Summary:        Go library for Apache Kafka 0.8, and up

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/DataDog/zstd)
BuildRequires:  golang(github.com/davecgh/go-spew/spew)
BuildRequires:  golang(github.com/eapache/go-resiliency/breaker)
BuildRequires:  golang(github.com/eapache/go-xerial-snappy)
BuildRequires:  golang(github.com/eapache/queue)
BuildRequires:  golang(github.com/pierrec/lz4)
BuildRequires:  golang(github.com/rcrowley/go-metrics)
BuildRequires:  golang(github.com/xdg/scram)
BuildRequires:  golang(golang.org/x/net/proxy)

%if %{with check}
# Tests
BuildRequires:  golang(github.com/Shopify/toxiproxy/client)
BuildRequires:  golang(github.com/stretchr/testify/require)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep

%build
export GO111MODULE=off
for cmd in tools/kafka-console-partitionconsumer tools/kafka-console-producer tools/kafka-console-consumer tools/kafka-producer-performance; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck
%endif

%files
%license %{golicenses}
%doc %{godocs}
%{_bindir}/*

%gopkgfiles

%changelog
* Tue Apr 23 18:29:25 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.22.0-1
- Release 1.22.0

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.0-0.9.git87ec8d7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Aug 27 2018 Jan Chaloupka <jchaloup@redhat.com> - 1.7.0-0.8.git87ec8d7
- Disable tests
  resolves: #1555780

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.0-0.7.git87ec8d7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.0-0.6.git87ec8d7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.0-0.5.git87ec8d7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.0-0.4.git87ec8d7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.0-0.3.git87ec8d7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Jul 21 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.0-0.2.git87ec8d7
- https://fedoraproject.org/wiki/Changes/golang1.7

* Fri Apr 15 2016 jchaloup <jchaloup@redhat.com> - 1.7.0-0.1.git87ec8d7
- First package for Fedora
  resolves: #1327762
